package net.sourceforge.rtf.template;

public interface IContext {
	
    /**
     * Put a value for the given key.
     *  
     * @param key the key.
     * @param value the value.
     * @return the result.
     */
    public Object put(String key, Object value);
    
    /** Get the value of the given key.
	 *
	 * @param key the key.
	 * @return the result.
	*/
    public Object get(String key);
    
    /**
     * 
     * @return the result.
     */
    public Object[] getKeys();
    
    public IContext getGlobalContext();
    
   
}
